<?php

if ($model->interface_type != 'virtual-AP') {
    echo $form->field($model, 'mode')->dropDownList(['station' => 'station',
        'station-wds' => 'station-wds',
        'ap-bridge' => 'ap-bridge',
        'bridge' => 'bridge',
        'alignment-only' => 'alignment-only',
        'nstreme-dual-slave' => 'nstreme-dual-slave',
        'wds-slave' => 'wds-slave',
        'station-pseudobridge' => 'station-pseudobridge',
        'station-pseudobridge-clone' => 'station-pseudobridge-clone',
        'station-bridge' => 'station-bridge',
    ]);
}
?>
<?php

if ($model->interface_type != 'virtual-AP') {
    echo
    $form->field($model, 'band')->dropDownList(['2ghz-b' => '2ghz-b',
        '2ghz-b/g' => '2ghz-b/g',
        '2ghz-b/g/n' => '2ghz-b/g/n',
        '2ghz-onlyg' => '2ghz-onlyg',
        '2ghz-onlyn' => '2ghz-onlyn',
        '5ghz-a' => '5ghz-a',
        '5ghz-a/n' => '5ghz-a/n',
        '5ghz-onlyn' => '5ghz-onlyn',
        '5ghz-a/n/ac' => '5ghz-a/n/ac',
        '5ghz-only-ac' => '5ghz-only-ac',
    ]);
}
?>
<?php

if ($model->interface_type != 'virtual-AP') {
    echo $form->field($model, 'channel_width')->dropDownList(['20mhz' => '20mhz',
        '20/40/80mhz-Ceee' => '20/40/80mhz-Ceee',
        '20/40/80mhz-eCee' => '20/40/80mhz-eCee',
        '20/40/80mhz-eeCe' => '20/40/80mhz-eeCe',
        '20/40/80mhz-eeeC' => '20/40/80mhz-eeeC',
        '20/40mhz-Ce' => '20/40mhz-Ce',
        '20/40mhz-eC' => '20/40mhz-eC',
        '40mhz-turbo' => '40mhz-turbo',
        '10mhz' => '10mhz',
    ]);
}
?>
<?php

if ($model->interface_type != 'virtual-AP') {
    echo $form->field($model, 'frequency')->label('Frequency');
}
?>
<?= $form->field($model, 'ssid')->label('SSID'); ?>
<?php

if ($model->interface_type != 'virtual-AP') {
    echo $form->field($model, 'scan_list')->label('Scan List');
}
?>
<?php

if ($model->interface_type != 'virtual-AP') {
    echo
    $form->field($model, 'wireless_protocol')->dropDownList(['unspecified' => 'unspecified',
        '802.11' => '802.11',
        'any' => 'any',
        'nstreme' => 'nstreme',
        'nv2' => 'nv2',
        'nv2-nstreme' => 'nv2-nstreme',
        'nv2-nstreme-802.11' => 'nv2-nstreme-802.11',
    ]);
}
$items['default'] = 'default';
?>
<?php

if ($model->interface_type == 'virtual-AP') {
    echo $form->field($model, 'master_interface')->dropDownList($masterIntreface);
}
?>

<?= $form->field($model, 'security_profile')->dropDownList($items); ?>
<?php

if ($model->interface_type != 'virtual-AP') {
    echo
    $form->field($model, 'antenna_mode')->dropDownList(['ant-a' => 'ant-a',
        'ant-b' => 'ant-b',
        'rxa-txb' => 'rxa-txb',
        'txa-rxb' => 'txa-rxb',
    ]);
}
?>
<?php

if ($model->interface_type != 'virtual-AP') {
    echo
    $form->field($model, 'bridge_mode')->dropDownList(['disabled' => 'disabled',
        'enabled' => 'enabled',
    ]);
}
?>
<?=

$form->field($model, 'vlan_mode')->dropDownList(['' => '', 'no-tag' => 'no tag',
    'use-service-tag' => 'use service tag',
    'use-tag' => 'use tag',
]);
?>
<?= $form->field($model, 'vlan_id')->label('VLAN ID'); ?>

<?= $form->field($model, 'default_ap_tx_limit')->label('Default AP Tx Rate'); ?>
<?= $form->field($model, 'default_client_tx_limit')->label('Default Client Tx Rate'); ?>
<?= $form->field($model, 'default_authentication')->checkBox(); ?>
<?= $form->field($model, 'default_forwarding')->checkBox(); ?>

<?= $form->field($model, 'hide_ssid')->checkBox(); ?>
